export declare const workspaceFoundationCreator: import("@knapsack/creator-utils").Creator<{
    packageDir?: {
        type: "text";
        title: string;
        default: string;
    };
    orgName?: {
        type: "text";
        title: string;
        default: string;
    };
    siteId: {
        type: "text";
    };
    renderers: {
        type: "choices";
        choices: readonly [{
            readonly value: "react";
            readonly name: "React";
            readonly rendererExportName: "KnapsackReactRenderer";
            readonly isDefaultExport: false;
        }, {
            readonly value: "vue";
            readonly name: "Vue";
            readonly rendererExportName: "KnapsackVueRenderer";
            readonly isDefaultExport: false;
        }, {
            readonly value: "html";
            readonly name: "HTML";
            readonly rendererExportName: "KnapsackHtmlRenderer";
            readonly isDefaultExport: true;
        }, {
            readonly value: "web-components";
            readonly name: "Web Components";
            readonly rendererExportName: "KnapsackWebComponentRenderer";
            readonly isDefaultExport: false;
        }, {
            readonly value: "twig";
            readonly name: "Twig";
            readonly rendererExportName: "KnapsackTwigRenderer";
            readonly isDefaultExport: true;
        }, {
            readonly value: "hbs";
            readonly name: "Handlebars";
            readonly rendererExportName: "KnapsackHbsRenderer";
            readonly isDefaultExport: false;
        }];
    };
}, import("@knapsack/creator-utils").KsAnswers<{
    packageDir?: {
        type: "text";
        title: string;
        default: string;
    };
    orgName?: {
        type: "text";
        title: string;
        default: string;
    };
    siteId: {
        type: "text";
    };
    renderers: {
        type: "choices";
        choices: readonly [{
            readonly value: "react";
            readonly name: "React";
            readonly rendererExportName: "KnapsackReactRenderer";
            readonly isDefaultExport: false;
        }, {
            readonly value: "vue";
            readonly name: "Vue";
            readonly rendererExportName: "KnapsackVueRenderer";
            readonly isDefaultExport: false;
        }, {
            readonly value: "html";
            readonly name: "HTML";
            readonly rendererExportName: "KnapsackHtmlRenderer";
            readonly isDefaultExport: true;
        }, {
            readonly value: "web-components";
            readonly name: "Web Components";
            readonly rendererExportName: "KnapsackWebComponentRenderer";
            readonly isDefaultExport: false;
        }, {
            readonly value: "twig";
            readonly name: "Twig";
            readonly rendererExportName: "KnapsackTwigRenderer";
            readonly isDefaultExport: true;
        }, {
            readonly value: "hbs";
            readonly name: "Handlebars";
            readonly rendererExportName: "KnapsackHbsRenderer";
            readonly isDefaultExport: false;
        }];
    };
}>>;
//# sourceMappingURL=workspace-foundation-creator.d.ts.map